NXP NFC Reader Library v4.040.05.011646

Data Fields
phpalFelica_Sw_DataParams_t Struct Reference
Protocol Abstraction Layer » Felica » Component : Software

Felica parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!
void * | pHalDataParams
| Pointer to the parameter structure of the underlying layer. More...
uint8_t | aIDmPMm [PHPAL_FELICA_IDM_LENGTH+PHPAL_FELICA_PMM_LENGTH+PHPAL_FELICA_RD_LENGTH]
| The Cards Manufacture ID (IDm), Manufacture Parameters (PMm) and Request Data length. More...
uint8_t | bIDmPMmValid
| Whether the stored IDm and PMm are valid (`1`) or not (`0`). More...
uint8_t | bLength
| Current data length, used internally for Exchange function. More...
uint8_t | bRequestCode
| Request code (RC) field of ReqC, default value is '0'. More...
uint8_t | bTotalFrames
| Holds total number of response frame received. More...
uint8_t | bPreambleLen
| Preamble length used for reception from tag. More...

## Detailed Description

Felica parameter structure.

## Field Documentation

## § pHalDataParams

void* phpalFelica_Sw_DataParams_t::pHalDataParams

Pointer to the parameter structure of the underlying layer.

## § aIDmPMm

uint8_t phpalFelica_Sw_DataParams_t::aIDmPMm[PHPAL_FELICA_IDM_LENGTH+PHPAL_FELICA_PMM_LENGTH+PHPAL_FELICA_RD_LENGTH]

The Cards Manufacture ID (IDm), Manufacture Parameters (PMm) and Request Data length.

## § bIDmPMmValid

uint8_t phpalFelica_Sw_DataParams_t::bIDmPMmValid

Whether the stored IDm and PMm are valid (`1`) or not (`0`).

## § bLength

uint8_t phpalFelica_Sw_DataParams_t::bLength

Current data length, used internally for Exchange function.

## § bRequestCode

uint8_t phpalFelica_Sw_DataParams_t::bRequestCode

Request code (RC) field of ReqC, default value is '0'.

## § bTotalFrames

uint8_t phpalFelica_Sw_DataParams_t::bTotalFrames

Holds total number of response frame received.

Value ranges from 1 to N
Ignored if phpalFelica_ReqC function called with slot number PHPAL_FELICA_NUMSLOTS_1.

## § bPreambleLen

uint8_t phpalFelica_Sw_DataParams_t::bPreambleLen

Preamble length used for reception from tag.

The documentation for this struct was generated from the following file:

- phpalFelica.h